centos7.9升级到openEuler22.03-SP3提示缺少x2openEuler-database-openEuler22.03-LTS-SP3

在做centos7.9迁移到openEuler22.03-SP3版本测试。使用的是x2openEuler-core-3.0.0-20240125.x86_64.rpm服务端安装包,默认下拉列表里openEuler22.03-SP3 版本可以选择。

但在迁移前检查过程中,提示:任务检查中断,中断原因:在节点上部署 [x2openEuler-database-openEuler22.03-LTS-SP3] 失败,上传安装包异常。查看日志:
upload|ERROR|Ending scp for invalid local path: /etc/x2openEuler/rpms/databases/x2openEuler-database-openEuler22.03-LTS-SP3-2.0.0.630-1.noarch.rpm,SCP File not find exception

服务端本地确实没有x2openEuler-database-openEuler22.03-LTS-SP3-2.0.0.630-1.noarch.rpm包,我在官网的仓库里也没找到对应的包,请问哪里可以下载。

另:x2openEuler-core-3.0.0-20240125.x86_64.rpm 一定要安装在centos7.6版本上吗? centos7.9能安装么?

1 Like

第一个问题:openEuler 22.03 LTS SP3 的相关数据库包现在仓库还没有,可以先升级到 openEuler 22.03 LTS,然后使用 yum update 升级到 SP3,或者等数据库包发布

第二个问题:官方指导文档已经明确说明 x2openEuler 工具部署在 CentOS 7.6/openEuler 20.03-LTS-SPx 环境上, 建议不要去做无谓的尝试,浪费时间,不是不能装,而是之后若出现奇奇怪怪的问题没法查,见过多次了:InstallationGuide (openeuler.org)

1 Like

好的,多谢指点。

1 Like

openEuler 22.03 LTS SP3不行,openEuler 22.03 LTS SP2是可以的